name: Test PDF

on: push

jobs:
  compile:
    runs-on: ubuntu-22.04
    steps:
      - uses: actions/checkout@v4
      - name: Extract branch name
        shell: bash
        run: echo "branch=${GITHUB_HEAD_REF:-${GITHUB_REF#refs/heads/}}" >> $GITHUB_OUTPUT
        id: extract_branch
      - name: Setup tectonic
        run: | 
          apt -y install curl
          curl --proto '=https' --tlsv1.2 -fsSL https://drop-sh.fullyjustified.net |sh
      - name: Restore cache
        id: cache-restore
        uses: actions/cache/restore@v4
        with:
          path: ~/.cache/Tectonic
          key: ${{ runner.os }}-tectonic-
      - name: Compile latex
        run: ./tectonic book.tex
